1
0
Fork 0
mirror of https://git.sr.ht/~seirdy/seirdy.one synced 2024-09-19 20:02:10 +00:00

Trivial style fix

This commit is contained in:
Rohan Kumar 2023-11-25 13:41:35 -08:00
parent d1711699d4
commit c0f7318090
No known key found for this signature in database
GPG key ID: 1E892DB2A5F84479

View file

@ -1,13 +1,14 @@
#!/bin/sh #!/bin/sh
# filters the Nu HTML Validator's JSON output. Operates on stdin. # filters the Nu HTML Validator's JSON output. Operates on stdin.
# no pipefail here since there are no pipes.
set -e -u set -e -u
root_dir="$(dirname "$0")/.." root_dir="$(dirname "$0")/.."
vnu_output="$(jaq --from-file "$root_dir/linter-configs/vnu_filter.jq")" vnu_output="$(jaq --from-file "$root_dir/linter-configs/vnu_filter.jq")"
if [ "$vnu_output" = '' ]; then if [ "$vnu_output" = '' ]; then
echo "All markup is valid" echo "All markup is valid"
else exit 0
echo "Markup errors found!" 1>&2
echo "$vnu_output"
exit 1
fi fi
echo "Markup errors found!" 1>&2
echo "$vnu_output"
exit 1